### A free/open-source library for quantitative finance

Public Member Functions | Protected Attributes
Commodity Class Reference
Financial instruments

Commodity base class. More...

`#include <ql/experimental/commodities/commodity.hpp>`

Inheritance diagram for Commodity:
[legend]

List of all members.

## Public Member Functions

| Commodity (const boost::shared_ptr< SecondaryCosts > &secondaryCosts)
const boost::shared_ptr < SecondaryCosts > & | secondaryCosts () const
const SecondaryCostAmounts & | secondaryCostAmounts () const
const PricingErrors & | pricingErrors () const
void | addPricingError (PricingError::Level errorLevel, const std::string &error, const std::string &detail="") const

## Protected Attributes

boost::shared_ptr< SecondaryCosts > | secondaryCosts_
PricingErrors | pricingErrors_
SecondaryCostAmounts | secondaryCostAmounts_

## Detailed Description

Commodity base class.